Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.tracksource
Interface TrackSource

All Known Subinterfaces:
  Playlist, SearchPipelineElement, TrackSourcePipelineElement

All Known Implementing Classes:
  AnnoyingPipelineElement, AudioBannerPipelineElement, InMemoryPlaylist, JukeXPlaylist, SearchRandomiserPipelineElement, TrackSourcePipeline, TrackSourcePipelineElementSkeleton

public interface TrackSource

Track source interface. This is for classes which are able to offer Track objects for playback.

Version:
  $Revision: 1.8 $
Author:
  Nigel Atkinson (nigel@neoworks.com)

Method Summary
`java.lang.Object` | `clone()` Must implement cloning
`java.lang.String` | `getDescription()` Return a String describing what, in general terms, this TrackSource does
`java.lang.String` | `getName()` Get the name of this TrackSource
`Track` | `getNextTrack()` Get the next track from the source.
`java.lang.String` | `getSummary()` Return a String summarising the configuration of the task the source is performing
`boolean` | `isEnabled()` Is this TrackSource enabled?

Method Detail

### getNextTrack

    public Track getNextTrack()

  Get the next track from the source.

  Returns:
    A Track object

### getName

    public java.lang.String getName()

  Get the name of this TrackSource

  Returns:
    A String identifying the TrackSource

### clone

    public java.lang.Object clone()

  Must implement cloning

  Overrides:
    `clone` in class `java.lang.Object`

### isEnabled

    public boolean isEnabled()

  Is this TrackSource enabled?

  Returns:
    Status

### getSummary

    public java.lang.String getSummary()

  Return a String summarising the configuration of the task the source is performing

  Returns:
    A String

### getDescription

    public java.lang.String getDescription()

  Return a String describing what, in general terms, this TrackSource does

  Returns:
    A String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD